//jquery.timeTo.min
/**
 * TimeTo jQuery plug-in
 * Show countdown timer or realtime clock
 *
 * @author Alexey Teterin <altmoc@gmail.com>
 * @version 1.0.12
 * @license MIT http://opensource.org/licenses/MIT
 * @date 2013-12-15
 */
(function(k){if("object"===typeof exports){var n=require("jquery");module.exports=k(n||$)}else"function"===typeof define&&define.amd?define(["jquery"],k):k(jQuery||$)})(function(k){function n(c){var h=this.data(),a=this.find("ul");if(h.vals&&0!==a.length){c||(c=h.seconds);var f=!1;h.intervalId&&(f=!0,clearTimeout(h.intervalId));var e=Math.floor(c/86400),d=86400*e,g=Math.floor((c-d)/3600),d=d+3600*g,l=Math.floor((c-d)/60);c-=d+60*l;e=(100>e?"0"+(10>e?"0":""):"")+e+(10>g?"0":"")+g+(10>l?"0":"")+l+(10>c?"0":"")+c;g=h.vals.length-1;for(l=e.length-1;0<=g;g--,l--)c=parseInt(e.substr(l,1)),h.vals[g]=c,a.eq(g).children().html(c);if(f){var b=this;h.ttStartTime=Date.now();h.intervalId=setTimeout(function(){q.call(b)},1E3);this.data("intervalId",h.intervalId)}}}function q(c){var h=this.find("ul"),a=this.data();if(a.vals&&0!=h.length){void 0==c&&(c=a.iSec);var f=a.vals[c],e=h.eq(c),d=e.children(),g=a.countdown?-1:1;d.eq(1).html(f);f+=g;if(c==a.iSec){var l=a.tickTimeout,b=(new Date).getTime()-a.ttStartTime;a.sec+=g;l+=Math.abs(a.seconds-a.sec)*l-b;a.intervalId=setTimeout(function(){q.call(t)},l)}if(0>f||f>a.limits[c])f=0>f?a.limits[c]:0,0<c&&q.call(this,c-1);d.eq(0).html(f);var t=this;k.support.transition?(e.addClass("transition"),e.css({top:0}),setTimeout(function(){e.removeClass("transition");d.eq(1).html(f);e.css({top:"-"+a.height+"px"});0<g||c!=a.iSec||(a.sec==a.countdownAlertLimit&&h.parent().addClass("timeTo-alert"),0===a.sec&&(h.parent().removeClass("timeTo-alert"),a.intervalId&&(clearTimeout(a.intervalId),t.data("intervalId",null)),"function"===typeof a.callback&&a.callback()))},410)):e.stop().animate({top:0},400,c!=a.iSec?null:function(){d.eq(1).html(f);e.css({top:"-"+a.height+"px"});0<g||c!=a.iSec||(a.sec==a.countdownAlertLimit?h.parent().addClass("timeTo-alert"):0==a.sec&&(h.parent().removeClass("timeTo-alert"),a.intervalId&&(clearTimeout(a.intervalId),t.data("intervalId",null)),"function"===typeof a.callback&&a.callback()))});a.vals[c]=f}else a.intervalId&&(clearTimeout(a.intervalId),this.data("intervalId",null)),a.callback&&a.callback()}var r={start:function(c){c&&n.call(this,c);var h=this;c=setTimeout(function(){q.call(h)},1E3);this.data("ttStartTime",(new Date).getTime());this.data("intervalId",c)},stop:function(){var c=this.data();c.intervalId&&(clearTimeout(c.intervalId),this.data("intervalId",null));return c},reset:function(c){var h=r.stop.call(this);this.find("div").css({backgroundPosition:"left center"});this.find("ul").parent().removeClass("timeTo-alert");"undefined"===typeof c&&(c=h.value);n.call(this,c)}},s={en:{days:"days",hours:"hours",min:"minutes",sec:"seconds"},ru:{days:"\u0434\u043d\u0435\u0439",hours:"\u0447\u0430\u0441\u043e\u0432",min:"\u043c\u0438\u043d\u0443\u0442",sec:"\u0441\u0435\u043a\u0443\u043d\u0434"},ua:{days:"\u0434\u043di\u0432",hours:"\u0433\u043e\u0434\u0438\u043d",min:"\u0445\u0432\u0438\u043b\u0438\u043d",sec:"\u0441\u0435\u043a\u0443\u043d\u0434"},de:{days:"Tag",hours:"Uhr",min:"Minuten",sec:"Secunden"},fr:{days:"jours",hours:"heures",min:"minutes",sec:"secondes"},sp:{days:"d\u00edas",hours:"reloj",min:"minutos",sec:"segundos"},it:{days:"giorni",hours:"ore",min:"minuti",sec:"secondi"},nl:{days:"dagen",hours:"uren",min:"minuten",sec:"seconden"},no:{days:"dager",hours:"timer",min:"minutter",sec:"sekunder"}};"undefined"===typeof k.support.transition&&(k.support.transition=function(){var c=(document.body||document.documentElement).style;return void 0!==c.transition||void 0!==c.WebkitTransition||void 0!==c.MozTransition||void 0!==c.MsTransition||void 0!==c.OTransition}());k.fn.timeTo=function(){for(var c={callback:null,captionSize:0,countdown:!0,countdownAlertLimit:10,displayCaptions:!1,displayDays:0,displayHours:!0,fontFamily:"Verdana, sans-serif",fontSize:28,lang:"en",seconds:0,start:!0,theme:"white",vals:[0,0,0,0,0,0,0,0,0],limits:[9,9,9,2,9,5,9,5,9],iSec:8,iHour:4,tickTimeout:1E3,intervalId:null},h,a={},f=0,e;e=arguments[f];++f)0==f&&"string"===typeof e?h=e:"object"==typeof e?"function"===typeof e.getTime?a.timeTo=e:a=k.extend(a,e):"function"==typeof e?a.callback=e:(e=parseInt(e),isNaN(e)||(a.seconds=e));if(a.timeTo){var d,f=(new Date).getTime();a.timeTo.getTime?d=a.timeTo.getTime():"number"===typeof a.timeTo&&(d=a.timeTo);a.timeTo>f&&(a.seconds=Math.floor((d-f)/1E3))}else if(a.time||!a.seconds)if((d=a.time)||(d=new Date),"object"===typeof d&&d.getTime)a.seconds=3600*d.getHours()+60*d.getMinutes()+d.getSeconds(),a.countdown=!1;else if("string"===typeof d){d=d.split(":");f=0;e=1;for(var g;g=d.pop();)f+=g*e,e*=60;a.seconds=f;a.countdown=!1}!1!==a.countdown&&86400<a.seconds&&"undefined"===typeof a.displayDays?(d=Math.floor(a.seconds/86400),a.displayDays=10>d&&1||100>d&&2||3):!0===a.displayDays?a.displayDays=3:a.displayDays&&(a.displayDays=0<a.displayDays?Math.floor(a.displayDays):3);return this.each(function(){var e=k(this),b=e.data(),d;if(b.vals)b.intervalId&&(clearInterval(b.intervalId),b.intervalId=null),k.extend(b,a);else{b=k.extend(c,a);b.height=Math.round(100*b.fontSize/93);b.width=Math.round(0.8*b.fontSize+0.13*b.height);b.displayHours=!(!b.displayDays&&!b.displayHours);e.addClass("timeTo").addClass("timeTo-"+b.theme).css({fontFamily:b.fontFamily,fontSize:b.fontSize+"px"});var f='<ul style="left:'+Math.round(b.height/10)+"px; top:-"+b.height+'px"><li>0</li><li>0</li></ul></div>',g=' style="width:'+b.width+"px; height:"+b.height+'px;"';d='<div class="first"'+g+">"+f;var f="<div"+g+">"+f,m=Math.round(2*b.width+3),g=b.captionSize||Math.round(0.43*b.fontSize);thtml=(b.displayCaptions?(b.displayHours?'<figure style="max-width:'+m+'px">$1<figcaption style="font-size:'+g+'px">'+s[b.lang].hours+"</figcaption></figure><span>:</span>":"")+'<figure style="max-width:'+m+'px">$1<figcaption style="font-size:'+g+'px">'+s[b.lang].min+'</figcaption></figure><span>:</span><figure style="max-width:'+m+'px">$1<figcaption style="font-size:'+g+'px">'+s[b.lang].sec+"</figcaption></figure>":(b.displayHours?"$1<span>:</span>":"")+"$1<span>:</span>$1").replace(/\$1/g,d+f);if(0<b.displayDays){var m=0.4*b.fontSize,p=d;for(d=b.displayDays-1;0<d;d--)p+=1===d?f.replace('">'," margin-right:"+Math.round(m)+'px">'):f;thtml=(b.displayCaptions?'<figure style="width:'+Math.round(b.width*b.displayDays+m+4)+'px">$1<figcaption style="font-size:'+g+"px; padding-right:"+Math.round(m)+'px">'+s[b.lang].days+"</figcaption></figure>":"$1").replace(/\$1/,p)+thtml}e.html(thtml)}f=e.find("div");if(f.length<b.vals.length){g=b.vals.length-f.length;m=b.vals;p=b.limits;b.vals=[];b.limits=[];for(d=0;d<f.length;d++)b.vals[d]=m[g+d],b.limits[d]=p[g+d];b.iSec=b.vals.length-1;b.iHour=b.vals.length-5}b.sec=b.seconds;e.data(b);h&&r[h]?r[h].call(e,b.seconds):b.start?r.start.call(e,b.seconds):n.call(e,b.seconds)})};return jQuery});
    var ajax_url = 'https://calgarywranglers.com/wp-admin/admin-ajax.php';
    var currencySymbol = '&#36;';
    var isadmin = false;

    addTributeCheckBoxOnChange = function (checkbox, dropdown, textboxid) {
	if (checkbox.checked) {
	    jQuery('#' + dropdown).removeAttr('disabled');
	    jQuery('#' + textboxid).removeAttr('disabled');
	} else {
	    jQuery('#' + dropdown).attr('disabled', 'disabled');
	    jQuery('#' + textboxid).attr('disabled', 'disabled');
	    jQuery('#' + textboxid).val('');
	}
    }
    var anonymousCheckBoxOnChange = function (checkbox, textboxid) {
	if (checkbox.checked) {
	    jQuery('#' + textboxid).attr('disabled', 'disabled');
	    jQuery('#' + textboxid).val('');
	} else {
	    jQuery('#' + textboxid).removeAttr('disabled');
	}
    };
    (function ($) {
	$(function () {

//auto-height

$.fn.autoHeight = function (e) {
    var max = 0;
    $.each($(this), function () {
	if (max < $(this).outerHeight()) {
	    max = $(this).outerHeight();
	}
    });
    $(this).css({height: max + "px"});
};

$('[mpspx-auto-height]').each(function () {
    $('[mpspx-auto-height-inner]', $(this)).autoHeight();
});

var resizing = false;
$(window).resize(function () {
    if (resizing) {
	return;
    }
    resizing = true;
    $('[mpspx-auto-height]').each(function () {
	$('.mpspx-griditem-buttonwrap', this).css({
	    position: 'relative'
	});
	$('[mpspx-auto-height-inner]', $(this)).css({
	    height: 'auto',
	    'padding-bottom': 0
	});
	$('[mpspx-auto-height-inner]', $(this)).autoHeight();
	$.each($('[mpspx-auto-height-inner]', $(this)), function () {
	    if ($('.mpspx-griditem-buttonwrap', this)[0]) {
		this.style.paddingBottom = $('.mpspx-griditem-buttonwrap', this).outerHeight() + 'px';
		$('.mpspx-griditem-buttonwrap', this)[0].style.position = 'absolute';
		$('.mpspx-griditem-buttonwrap', this)[0].style.bottom = '0';
	    }
	});
    });
    setTimeout(function () {
	$('[mpspx-auto-height]').each(function () {
	    $('.mpspx-griditem-buttonwrap', this).css({
		position: 'relative'
	    });
	    $('[mpspx-auto-height-inner]', $(this)).css({
		height: 'auto',
		'padding-bottom': 0
	    });
	    $('[mpspx-auto-height-inner]', $(this)).autoHeight();
	    $.each($('[mpspx-auto-height-inner]', $(this)), function () {
		if ($('.mpspx-griditem-buttonwrap', this)[0]) {
		    this.style.paddingBottom = $('.mpspx-griditem-buttonwrap', this).outerHeight() + 'px';
		    $('.mpspx-griditem-buttonwrap', this)[0].style.position = 'absolute';
		    $('.mpspx-griditem-buttonwrap', this)[0].style.bottom = '0';
		}
	    });
	});
	resizing = false;
    }, 1000);
});
$(window).resize();
//site
$.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    $.each(a, function () {
	if (o[this.name]) {
	    if (!o[this.name].push) {
		o[this.name] = [o[this.name]];
	    }
	    o[this.name].push(this.value || '');
	} else {
	    o[this.name] = this.value || '';
	}
    });
    return o;
};

$('[data-event]').click(function () {
    $('.event_' + $(this).attr('data-event')).toggleClass('active', '');
});

$('body').click(function () {
    $('.mpspx-event-single-more-dates').removeClass('active');
});

$('.mpspx-event-single-more-dates > a').click(function (e) {
    $('.mpspx-event-single-more-dates').toggleClass('active', '');
    e.stopPropagation();
});

var receiveMessage = function (event) {

    if (event.data == 'scrolltop') {
	$(window).scrollTop(100);
    }
    if (/^resize:/.test(event.data)) {
	var height = ((event.data.replace("resize:", "") * 1));
	if (height > 100) {
	    $('#SpektrixIFrame').css({
		display: 'block',
		height: height + "px"
	    });
	}
    }

    $('.iframe_loading').remove();
};
window.addEventListener("message", receiveMessage, false);

if (!isadmin && !/EventId/.test(location.href)&& !/admin.php/.test(location.href) && typeof(apidomain) != "undefined") {
    var cart = new XMLHttpRequest();
    cart.withCredentials = true;
    cart.open("GET", "https://" + apidomain + "/" + clientname + "/api/v3/basket");
    cart.setRequestHeader("Content-Type", "application/json");
    cart.addEventListener("readystatechange", function (patchevent) {
	if (cart.readyState === XMLHttpRequest.DONE) {
	    const patchstatus = cart.status;
	    if (patchstatus === 0 || (patchstatus >= 200 && patchstatus < 400)) {
		updateBasket(JSON.parse(cart.responseText));
	    }
	}
    });
    cart.send();
}

var updateBasket = function (basket) {
    var cartcount = 0;
    var carttotal = 0;
    carttotal = basket.total;
    cartcount += basket.tickets.length;
    cartcount += basket.donations.length;
    cartcount += basket.merchandiseItems.length;
    cartcount += basket.membershipSubscriptions.length;
    cartcount += basket.giftVouchers.length;

    $('.mpspx-cart-inline-popup-summary, .mpspx-cart-inline-popup-count, .mpspx-cart-inline-popup-total').remove();
    if (cartcount !== 0) {
	$('.mpspx-cart-inline-popup a').append($('<span class="mpspx-cart-inline-popup-count">(' + cartcount + ')</span>'));
	$('.mpspx-cart-inline-popup a').append($('<span class="mpspx-cart-inline-popup-total">' + currencySymbol + carttotal.toFixed(2) + '</span>'));

	$.ajax({
	    method: 'post',
	    url: ajax_url,
	    data: {
		action: 'mpspx_basket_ajax',
		basket: JSON.stringify(basket),
		url: location.href
	    }
	}).always(function (data) {
	    if (data && data.basket) {
		$('.mpspx-cart-inline-popup').append($(data.basket));
	    }
	});
    }
}


$('#spektrix_newsletter').submit(function (e) {
    var t = $(this);
    var data = $(this).serializeObject();
    var txt = $('[type="submit"]', t).val();
    $('[type="submit"]', t).val("Submitting...");
    $.ajax({
	method: 'post',
	url: $(this).attr("action"),
	data: data
    }).always(function (data) {
	$('[type="submit"]', t).val(txt);
	if (data && data.error) {
	    $('#spektrix_newsletter_error').html(data.error);
	} else {
	    $('#spektrix_newsletter').html("Thank You for signing up.");
	}
    });
    e.preventDefault();
});
//filter
var filter_animating = false;
if ($('.mpspx-event-filter-wrapper')[0]) {
    var notfound = $('<div class="mpspx-event-filter-notfound">No Events found that match your filter.</div>');
    notfound.insertAfter($('.mpspx-event-filter-wrapper'));
    notfound.hide();
    var allitems = $('.mpspx-event-griditem-wrapper');
    var event_filter_change = function (e) {
	notfound.hide();
	var items = $('.mpspx-event-griditem-wrapper');
	var selector = ".mpspx-event-griditem-wrapper";
	var genre = $('[name="mpspx-event-filter-genre"]').val();
	var venue = $('[name="mpspx-event-filter-venue"]').val();
	var price = $('[name="mpspx-event-filter-price"]').val();
	var weekday = $('[name="mpspx-event-filter-weekday"]').val();
	var time = $('[name="mpspx-event-filter-time"]').val();
	var keywords = $('[name="mpspx-event-filter-keywords"]').val();
	if (genre) {
	    selector += '[genre="' + genre + '"]';
	}
	if (venue) {
	    selector += '[venue="' + venue + '"]';
	}
	if (weekday) {
	    selector += '[weekday="' + weekday + '"]';
	}
	if (time) {
	    selector += '[time="' + time + '"]';
	}
	if (keywords) {
	    selector += '[keywords*="' + keywords.toLowerCase() + '"]';
	}
	items = $(selector);
	if (price) {
	    price *= 1;
	    var newitems = [];
	    $.each(items, function (index, elm) {
		var lowestPrice = $(elm).attr('price') * 1;
		var push = false;
		if (lowestPrice === 0 && price === 0) {
		    push = true;
		}
		if (lowestPrice < 10 && price === 10) {
		    push = true;
		}
		if (lowestPrice < 25 && price === 25) {
		    push = true;
		}
		if (lowestPrice < 50 && price === 50) {
		    push = true;
		}
		if (lowestPrice < 100 && price === 100) {
		    push = true;
		}
		if (lowestPrice < 99999 && price === 99999) {
		    push = true;
		}
		if (push) {
		    newitems.push(elm);
		}
	    });
	    items = newitems;
	}
	allitems.hide()
	$(items).show();
	if (!items[0]) {
	    notfound.show();
	}
	$(window).resize();
    }
    $('[name="mpspx-event-filter-genre"]').change(event_filter_change);
    $('[name="mpspx-event-filter-venue"]').change(event_filter_change);
    $('[name="mpspx-event-filter-price"]').change(event_filter_change);
    $('[name="mpspx-event-filter-weekday"]').change(event_filter_change);
    $('[name="mpspx-event-filter-time"]').change(event_filter_change);
    $('[name="mpspx-event-filter-keywords"]').keyup(event_filter_change);
}
//events
var events_page = 1;
$('.mpspx-events-load-more').click(function (e) {
    var button = $(this);
    var button_text = button.html();
    button.html('Loading...');
    e.preventDefault();
    $.ajax({
	method: 'post',
	url: ajax_url,
	data: {
	    action: 'mpspx_load_events_ajax',
	    page: events_page + 1
	}
    }).always(function (data) {
	if (typeof data != 'object') {
	    alert(data);
	} else if (data && data.success) {
	    var list = $('.mpspx-custom-grid-wrapper', button.parent());
	    if (data.events) {
		var time = 0;
		$.each(data.events, function (slug, eventhtml) {
		    setTimeout(function () {
			var griditem = $(eventhtml);
			griditem.css({
			    opacity: 0
			});
			list.append(griditem);
			griditem.animate({
			    opacity: 1
			}, {
			    duration: 500,
			    complete: function () {
				$(window).resize();
			    }
			});
		    }, time);
		    time += 500;
		});
	    }
	    events_page++;
	}
	button.html(button_text);
	if (!data.more) {
	    button.remove();
	}
    });
});
//tabs
$.each($('.mpspx-tabs-wrapper'), function (tabswrapidx, tabswrap) {
    $.each($('> .mpspx-tabs > li', tabswrap), function (i, v) {
	$(v).click(function (e) {
	    if (!/^#/.test($('a', v).attr('href'))) {
		return;
	    }
	    $('> .mpspx-tabs > li', tabswrap).removeClass('active');
	    $('> .mpspx-panel', $(tabswrap).parent()).removeClass('active');
	    $(v).addClass('active');
	    $($('> .mpspx-panel', $(tabswrap).parent())[i]).addClass('active');
	    if (typeof css_editor != 'undefined') {
		css_editor.refresh();
	    }
	    if (typeof js_editor != 'undefined') {
		js_editor.refresh();
	    }

	});
    });
});
var hash = window.location.hash;
if (hash) {
    $('[tab="' + hash + '"]').click();
}
$(window).on('hashchange', function (e) {
    $('[tab="' + window.location.hash + '"]').click();
});
//image-gallery

$.each($('.mpspx-image-gallery-wrapper'), function () {
    var wrap = $(this);
    var curidx = 0;
//    debugger;
    $('.mpspx-image-gallery-next', wrap).click(function () {
//	debugger;
	curidx += 1;
	$('[data-index]', wrap).removeClass('active');
	if ($('[data-index="' + curidx + '"]', wrap)[0]) {
	    $('[data-index="' + curidx + '"]', wrap).addClass('active');
	} else {
	    $('[data-index="0"]', wrap).addClass('active');
	    curidx = 0;
	}
    });
    $('.mpspx-image-gallery-prev', wrap).click(function () {
	curidx -= 1;
	$('[data-index]', wrap).removeClass('active');
	if ($('[data-index="' + curidx + '"]', wrap)[0]) {
	    $('[data-index="' + curidx + '"]', wrap).addClass('active');
	} else {
	    curidx = (wrap.attr('data-slides')*1)-1;
	    $('[data-index="' + curidx + '"]', wrap).addClass('active');
	}
    });
    if (wrap.attr('data-autoplay') && wrap.attr('data-delay')) {
	setInterval(function () {
	    $('.mpspx-image-gallery-next', wrap).click();
	}, wrap.attr('data-delay'));
    }

})


/*mpspx_calendar_month*/

var addClendarEvents = function (elms = []) {
    $.each(elms, function (index, elm) {
	$('.nextMonth, .prevMonth', elm).click(function () {
	    $(this).addClass('active');
	    var month = $(this).attr('month');
	    var year = $(this).attr('year');
	    var size = $(this).attr('size');
	    var event = $(this).attr('event');
	    loadCalendar(month, year, size, event, elm);
	    $(window).resize();
	});
	$('.mpspx-calendar-year-event-list-day-close', elm).click(function (e) {
	    $('.mpspx-calendar-year-event-list', elm).hide();
	    $('.mpspx-calendar-year-day-count', elm).parent().removeClass('active');
	    $(window).resize();
	});
	$('.mpspx-calendar-year-day-count', elm).parent().click(function (e) {
	    $('.mpspx-calendar-year-event-list',elm).hide()
	    $('.mpspx-calendar-year-event-list[day="' + $(this).attr("day") + '"]',elm).show();
	    $('.mpspx-calendar-year-day-count', elm).parent().removeClass('active');
	    $(this).addClass('active');
	    $(window).resize();
	});
    });
};
var loadCalendar = function (month, year, size, event, elm) {
    $.ajax({
	method: 'post',
	url: ajax_url,
	data: {
	    action: 'mpspx_load_calendar_month_ajax',
	    month: month,
	    year: year,
	    size: size,
	    event: event
	}
    }).always(function (data) {
	if (data && data.calendar) {
	    var calendar = $(data.calendar);
	    $(elm).empty();
	    $(elm).append(calendar);
	    addClendarEvents($(elm));
	}
    });
};

addClendarEvents($('.mpspx-calendar-year-month-inner, .mpspx-calendar-month-inner'));

/*mpspx_event_choose_seatarea*/

/**
 * mpspx_event_choose_seatarea
 */

$.each($('.mpspx-choose-area-mapper'), function () {
    var wrap = $(this);
    var orig = $('.plan-image-wrap > img')[0].src;
    var plan_img = $('.plan-image-wrap > img')[0];
    $.each($('a',wrap), function () {
	var a = $(this);
	var origbg = a[0].style.backgroundColor;
	var origcolor = a[0].style.color;
	a.hover(function(){
	    plan_img.src = a.attr('data-hover');
	    a.css({
		'background-color': a[0].style.color,
		'color': a[0].style.backgroundColor
	    });
	},function(){
	    plan_img.src = orig;
	    a[0].style.backgroundColor = origbg;
	    a[0].style.color = origcolor
	});
    });

    $.each($('area',wrap), function (i,v) {
	var a = $($('a',wrap)[i]);
	var origbg = a[0].style.backgroundColor;
	var origcolor = a[0].style.color;
	$(this).hover(function(){
	    plan_img.src = a.attr('data-hover');
	    a.css({
		'background-color': a[0].style.color,
		'color': a[0].style.backgroundColor
	    });
	},function(){
	    plan_img.src = orig;
	    a[0].style.backgroundColor = origbg;
	    a[0].style.color = origcolor
	});
    });
});

/*mpspx_event_list_carosel*/

$('.mpspx-event-list-carosel-next').click(function (e) {
    var carosel = $('.mpspx-event-list-carosel-inner', $(this).parent());
    var index = carosel.attr('data-index') * 1;
    if (!index || !$('> div', carosel)[index + 1]) {
	index = 0;
    }
    var width = $($('> div', carosel)[index]).width();
    var cur_left = carosel.scrollLeft();
    carosel.stop().animate({
	scrollLeft: (cur_left + width) + 'px'
    }, {
	duration: 150,
	complete: function () {
	    carosel.attr('data-index', index + 1);
	    if (cur_left == carosel.scrollLeft()) {
		carosel.attr('data-index', 0);
		carosel.stop().animate({
		    scrollLeft: '0px'
		}, {
		    duration: 150
		});
	    }
	}
    });
});

$('.mpspx-event-list-carosel-prev').click(function (e) {
    var carosel = $('.mpspx-event-list-carosel-inner', $(this).parent());
    var index = carosel.attr('data-index') * 1;
    if (!index || !$('> div', carosel)[index - 1]) {
	index = 0;
    }
    var width = $($('> div', carosel)[index]).width();
    var cur_left = carosel.scrollLeft();
    carosel.stop().animate({
	scrollLeft: (cur_left - width) + 'px'
    }, {
	duration: 150,
	complete: function () {
	    carosel.attr('data-index', index - 1);
	    if (cur_left == carosel.scrollLeft()) {
		carosel.attr('data-index', $('> div', carosel).length-1);
		carosel.stop().animate({
		    scrollLeft: ($('.mpspx-event-list-carosel .mpspx-event-list-carosel-inner > div').length * width) + 'px'
		}, {
		    duration: 150
		});
	    }
	}
    });
});

/*mpspx_fund*/

/**
 * mpspx_fund
 */

$.each($('spektrix-donate'), function () {
    var wrap = $(this);
    const forward = wrap.attr('forward-to');
    const custom_checkbox_attribute = $('[data-attribute]', wrap);

    $('button', wrap).click(function (e) {
	var amount = $('input[type="number"]', wrap);
	if (!amount.val()) {
	    amount.focus();
	}
    });

    if (!custom_checkbox_attribute[0]) {
	return;
    } else {
	wrap.attr('x-forward-to', wrap.attr('forward-to'));
	wrap.attr('forward-to', '');
    }

    wrap[0].addEventListener('success', function (e) {
	//var donation = e.detail[e.detail.length - 1];

	var patchdata = {};
	patchdata["attribute_" + $('[data-attribute]', wrap).attr('data-attribute')] = "1";

	var patch = new XMLHttpRequest();
	patch.withCredentials = true;
	patch.open("PATCH", "https://"+apidomain+"/" + clientname + "/api/v3/basket");

	patch.setRequestHeader("Content-Type", "application/json");
	patch.addEventListener("readystatechange", function (patchevent) {
	    if (patch.readyState === XMLHttpRequest.DONE) {
		const patchstatus = patch.status;
		if (patchstatus === 0 || (patchstatus >= 200 && patchstatus < 400)) {
		    //debugger;
		    location.href = wrap.attr('x-forward-to');
		}
	    }
	});
	patch.send(JSON.stringify([patchdata]));
    });
});

/*mpspx_fund_membership*/

$('.mpspx-shortcode-fund-membership-wrapper input[type="checkbox"]').change(function () {
    if (this.checked) {
	$('[data-tribute-name],[data-tribute-type]', $(this).parent().parent()).removeAttr('disabled');
    } else {
	$('[data-tribute-name],[data-tribute-type]', $(this).parent().parent()).attr('disabled', 'disabled');
	$('[data-tribute-name],[data-tribute-type]', $(this).parent().parent()).val('');
    }
});

/**
 * Donation with Memberships
 */
$.each($('.mpspx-shortcode-fund-membership-wrapper'), function (k, v) {
    $('.donate-now', v).click(function () {
	$('.active', v).removeClass('active');
	$(this).addClass('active');
	$('.mpspx-shortcode-fund-membership-single', v).show();
	$('.mpspx-shortcode-fund-membership-list', v).hide();
    });
    $('.give-monthly', v).click(function () {
	$('.active', v).removeClass('active');
	$(this).addClass('active');
	$('.mpspx-shortcode-fund-membership-single', v).hide();
	$('.mpspx-shortcode-fund-membership-list', v).show();
    });
    $('button').click(function () {
	$('button', v).removeClass('active');
	$(this).addClass('active');
    });
//	    $('.donate_membership .Donatebutton button', v).click(function () {
//		if (!$('.donate_membership .active', v)[0]) {
//		    alert('Please select one of the monthly donation options.');
//		    return;
//		}
//		$('[data-submit-membership]', $($('.donate_membership .active', v)[0]).parent()).click();
//	    });
});

/*mpspx_fund_membershp_slider*/

/**
 * mpspx_fund_membershp_slider
 */
$.each($('.mpspx-shortcode-fund-membership-slider-wrapper'), function () {
    var wrap = $(this);

    var cont = $('.slider-cont', wrap);
    var button = $('.slider-button', wrap);
    var slider_val = 0;
    var slider_left = 0;
    var slider_max = $($('.slider-membership-mark', wrap)[0]).attr('amount') * 1;
    var mousepos_start = 1;
    var dragging = false;
    var lastMove = null;
    var nextlevel = $($('.slider-membership-mark', wrap)[0]);

    $($('.slider-membership-mark', wrap)[0]).show();
    $($('.slider-membership-mark', wrap)[0]).addClass('open');
    $.each($('.slider-membership-mark', wrap), function () {
	var mark = $(this);
	mark.click(function (e) {
	    $('.slider-membership-mark', wrap).removeClass('open')
	    mark.addClass('open');
	    set_slider_pos((((mark.attr('amount')) / slider_max) * cont.width()) - slider_left, true);
	    if (slider_max == slider_val && $('.slider-membership-mark:hidden', wrap)[0]) {
		slider_max = $($('.slider-membership-mark:hidden', wrap)[0]).attr('amount') * 1;
		nextlevel = $($('.slider-membership-mark:hidden', wrap)[0]);
		$($('.slider-membership-mark:hidden', wrap)[0]).show();
		set_slider_pos((((slider_val) / slider_max) * cont.width()) - slider_left, true);
		set_marks_pos();
	    } else {
		$('.slider-membership-mark', wrap).hide();
		mark.show();
		if (mark.next().attr('membership-id')) {
		    mark.next().show();
		    nextlevel = mark.next();
		    slider_max = mark.next().attr('amount') * 1;
		}
		$.each($('.slider-membership-mark', wrap), function () {
		    if (($(this).attr('amount') * 1) <= slider_max) {
			$(this).show();
		    }
		});
		set_slider_pos((((slider_val) / slider_max) * cont.width()) - slider_left, true);
		set_marks_pos();
	    }
	    $(window).resize();
	});
    });

    $('.slider-cont', wrap).click(function (e) {
	if (dragging || $(e.target).hasClass('slider-button') || $(e.target).hasClass('slider-value') || $(e.target).hasClass('slider-membership-amount') || $(e.target).hasClass('slider-membership-mark')) {
	    return;
	}
	if (e.offsetX) {
	    set_slider_pos(e.offsetX - slider_left, true);
	}
	if (lastMove && lastMove.originalEvent.touches && lastMove.originalEvent.touches[0].offsetx) {
	    set_slider_pos(lastMove.originalEvent.touches[0].offsetx - slider_left, true);
	}


    });

    button.on('touchstart mousedown', function (e) {
	mousepos_start = e.pageX;
	if (!mousepos_start) {
	    mousepos_start = e.originalEvent.touches[0].pageX;
	}
	lastMove = e;
	dragging = true;
    });
    $('body').on('touchmove mousemove', function (e) {
	if (dragging) {
	    lastMove = e;
	    cont.addClass('dragging');
	    set_slider_pos((e.pageX ? e.pageX : lastMove.originalEvent.touches[0].pageX) - mousepos_start);
	}
    });
    $('body').on('mouseup touchend', function (e) {
	if (dragging) {
	    set_slider_pos((e.pageX ? e.pageX : lastMove.originalEvent.touches[0].pageX) - mousepos_start, true);
	    cont.removeClass('dragging');
	    dragging = false;
	    if (slider_max == slider_val && $('.slider-membership-mark:hidden', wrap)[0]) {
		slider_max = $($('.slider-membership-mark:hidden', wrap)[0]).attr('amount') * 1;
		nextlevel = $($('.slider-membership-mark:hidden', wrap)[0]);
		$($('.slider-membership-mark:hidden', wrap)[0]).show();
		set_slider_pos((((slider_val) / slider_max) * cont.width()) - slider_left, true);
		set_marks_pos();
		$(window).resize();
	    }
	}
    });
    $('.slider-inc', wrap).click(function () {
	set_slider_pos((((slider_val + 1) / slider_max) * cont.width()) - slider_left, true);
	if (slider_max == slider_val && $('.slider-membership-mark:hidden', wrap)[0]) {
	    slider_max = $($('.slider-membership-mark:hidden', wrap)[0]).attr('amount') * 1;
	    nextlevel = $($('.slider-membership-mark:hidden', wrap)[0]);
	    $($('.slider-membership-mark:hidden', wrap)[0]).show();
	    set_slider_pos((((slider_val) / slider_max) * cont.width()) - slider_left, true);
	    set_marks_pos();
	}
	$(window).resize();
    });
    $('.slider-dec', wrap).click(function () {
	if (slider_val - 1 < nextlevel.prev().attr('amount') * 1) {
	    nextlevel = nextlevel.hide().prev();
	    slider_max = nextlevel.attr('amount') * 1
	}
	set_slider_pos((((slider_val - 1) / slider_max) * cont.width()) - slider_left, true);
	set_marks_pos();
	$(window).resize();
    });

    var set_slider_pos = function (pos, finished) {
	if (pos === 0) {
	    return;
	}
	var left = slider_left;
	left += pos;
	if (left >= cont.width()) {
	    left = cont.width();
	} else if (left < 0) {
	    left = 0;
	}
	button.stop().animate({
	    left: left
	}, {
	    duration: 250,
	    always: function () {
		button.css({
		    left: left
		});
	    }
	});
	if (finished) {
	    slider_left = left;
	}
	slider_val = Math.floor(slider_max * ((left / cont.width()))).toFixed(0) * 1;
	$('.slider-value', wrap).html(currencySymbol + slider_val);
	updateBody();
    }
    var set_marks_pos = function () {
	$.each($('.slider-membership-mark', wrap), function () {
	    var mark = $(this);
	    var left = (((mark.attr("amount")) / slider_max) * cont.width());
	    mark.stop().animate({
		left: left
	    }, {
		duration: 250,
		always: function () {
		    mark.css({
			left: left
		    });
		}
	    });
	});
    }

    var updateBody = function (msg) {
	var away = 0;
	var nextmembership = '';
	if (nextlevel) {
	    $('.slider-body-next', wrap).empty();
	    $('.slider-body-selected', wrap).empty();
	    nextmembership = $('.slider-membership-popup-title', nextlevel).html();
	    away = (nextlevel.attr('amount') * 1) - slider_val;
	    $('.slider-body-message', wrap).html(`<div class="slider-body-message-inner"><p><i class="fa fa-arrow-right"></i><br/>You are <strong>${currencySymbol}${away}</strong> away from the <strong>${nextmembership}</strong> membership level.<br><i class="fa fa-arrow-right"></i></p></div>`);
	    var n = nextlevel;
	    $('.slider-body-message-inner', wrap).click(function () {
		n.click();
	    });
	    $('.slider-body-next', wrap).empty().append($('.slider-membership-detail[membership-id="' + nextlevel.attr('membership-id') + '"]', wrap).clone(true, true));
	    if (nextlevel.prev()[0] && nextlevel.prev().attr('membership-id')) {
		$('.slider-body-selected', wrap).append($('.slider-membership-detail[membership-id="' + nextlevel.prev().attr('membership-id') + '"]', wrap).clone(true, true));
	    } else {
		$('.slider-body-selected', wrap).append($('.slider-membership-detail.slider-donate', wrap).clone(true, true));
	    }
	    if (slider_val == nextlevel.attr('amount') * 1) {
		$('.slider-body-next', wrap).empty()
		$('.slider-body-message', wrap).empty()
		$('.slider-body-selected', wrap).empty().append($('.slider-membership-detail[membership-id="' + nextlevel.attr('membership-id') + '"]', wrap).clone(true, true));
	    }
	} else {

	}
	$('.slider-membership-detail.slider-donate .slider-membership-detail-amount span', wrap).html(slider_val);
    }

    $('.slider-body-selected', wrap).append($('.slider-membership-detail.slider-donate', wrap).clone(true, true));

    var posting = false;
    $('.slider-membership-donate-button').click(function () {
	if (posting) {
	    return;
	}
	posting = true;
	var btn = $(this);
	var btntxt = btn.html();
	btn.html('Adding...');
	var postdata = {
	    amount: slider_val,
	    fundId: btn.parent().attr('fund-id')
	};

	var post = new XMLHttpRequest();
	post.withCredentials = true;
	post.open("POST", "https://"+apidomain+"/" + clientname + "/api/v3/basket/donations");

	post.setRequestHeader("Content-Type", "application/json");
	post.addEventListener("readystatechange", function (patchevent) {
	    if (post.readyState === XMLHttpRequest.DONE) {
		var data = JSON.parse(post.responseText ? post.responseText : JSON.stringify({message: "Empty response. Please try again."}));
		posting = false;
		const patchstatus = post.status;
		if ((patchstatus >= 200 && patchstatus < 400)) {
		    btn.html('Success!');
		    //debugger;
		    location.href = wrap.attr('forward-to');
		} else {
		    btn.html('Failed');
		    var msg = $('<div class="slider-failed">' + data["message"] + '</div>');

		    msg.insertAfter(btn);
		    setTimeout(function () {
			msg.remove()
		    }, 5000);
		}
		$(window).resize();
		setTimeout(function () {
		    btn.html(btntxt);
		    $(window).resize();
		}, 1000);
	    }
	});
	post.send(JSON.stringify([postdata]));
    });

    $('.slider-membership-join-button').click(function () {
	if (posting) {
	    return;
	}
	posting = true;
	var btn = $(this);
	var btntxt = btn.html();
	btn.html('Adding...');
	var postdata = {
	    membership: $(this).parent().attr('membership-id'),
	    autoRenew: $('.slider-membership-detail-autorenew input', btn.parent()).is(':checked')
	};

	var post = new XMLHttpRequest();
	post.withCredentials = true;
	post.open("POST", "https://"+apidomain+"/" + clientname + "/api/v3/basket/membership-subscriptions");

	post.setRequestHeader("Content-Type", "application/json");
	post.addEventListener("readystatechange", function (patchevent) {
	    if (post.readyState === XMLHttpRequest.DONE) {
		var data = JSON.parse(post.responseText ? post.responseText : JSON.stringify({message: "Empty response. Please try again."}));
		posting = false;
		const patchstatus = post.status;
		if ((patchstatus >= 200 && patchstatus < 400)) {
		    btn.html('Success!');
		    //debugger;
		    location.href = wrap.attr('forward-to');
		} else {
		    btn.html('Failed');
		    var msg = $('<div class="slider-failed">' + data["message"] + '</div>');

		    msg.insertAfter(btn);
		    setTimeout(function () {
			msg.remove()
		    }, 5000);
		}
		$(window).resize();
		setTimeout(function () {
		    btn.html(btntxt);
		    $(window).resize();
		}, 1000);

	    }
	});
	post.send(JSON.stringify([postdata]));
    });

    set_slider_pos(slider_val);
    set_marks_pos();
    updateBody();
});

/*mpspx_membership_select*/

/**
 * Memberships Select dropdown
 */
$.each($('.mpspx-shortcode-membership-select-wrapper'), function (k, v) {
    var spektrix = $('spektrix-memberships', $(this));
    var button = $('button', $(this));
    button.hide();
    $('select', $(this)).change(function () {
	if ($(this).val() == "") {
	    button.hide();
	} else {
	    button.show();
	}
	spektrix.attr('membership-id', $(this).val());
    });
});

/*mpspx_merchandise_list_carosel*/

$('.mpspx-merchandise-list-carosel-next').click(function (e) {
    var carosel = $('.mpspx-merchandise-list-carosel-inner',$(this).parent());
    var width = $('> div',carosel).width();
    var cur_left = carosel.scrollLeft();
    carosel.stop().animate({
	scrollLeft: (cur_left + width) + 'px'
    }, {
	duration: 150,
	complete: function () {
	    if (cur_left == carosel.scrollLeft()) {
		carosel.stop().animate({
		    scrollLeft: '0px'
		}, {
		    duration: 150
		});
	    }
	}
    });
});

$('.mpspx-merchandise-list-carosel-prev').click(function (e) {
    var carosel = $('.mpspx-merchandise-list-carosel-inner',$(this).parent());
    var width = $('> div',carosel).width();
    var cur_left = carosel.scrollLeft();
    carosel.stop().animate({
	scrollLeft: (cur_left - width) + 'px'
    }, {
	duration: 150,
	complete: function () {
	    if (cur_left == carosel.scrollLeft()) {
		carosel.stop().animate({
		    scrollLeft: ($('.mpspx-merchandise-list-carosel .mpspx-merchandise-list-carosel-inner > div').length * width) + 'px'
		}, {
		    duration: 150
		});
	    }
	}
    });
});

/*mpspx_merchandise_variants*/

$.each($('.mpspx-shortcode-merchandise-variants-wrapper'), function () {
    var form = this;
    $('select', form).change(function () {
	$('[merchandise-item-id]',form).attr('merchandise-item-id', this.value);
    });
});	});
    })(jQuery);
